Skip to main content
Share Your Experience: Take the 2024 Developer Survey
12 votes

Waiting for package manager lock what does that mean?

Had same problem - in the end fixed using sudo dpkg --configure -a from a hint provided when trying sudo apt-get update.
JCOGS Design's user avatar
10 votes

Installing Docker on Elementary OS Loki

Follow the instructions at Docker Store. At the point where you add the dockerstore repository, you need to replace $(lsb_release -cs) with xenial. sudo add-apt-repository \ "deb [arch=...
Tobias's user avatar
  • 116
9 votes
Accepted

Loki - Where is the update manager?

You can install manually that program with this : sudo apt-get install software-properties-gtk sudo apt-get install update-manager
Adzkar's user avatar
  • 149
8 votes

I am unable to update or install software in the AppCenter

A fix for this specific issue has just been released in the form of a new packagekit version. If this is not applied automatically, you can do it with the following two commands: sudo apt update sudo ...
Lewis Goddard's user avatar
  • 4,939
7 votes
Accepted

Can't install mysql workbench, dependency is not satisfiable

It is not the best solution, but if you install MysqlWB V 6.3.6 It should work. http://cdn.mysql.com//archives/mysql-workbench/mysql-workbench-community-6.3.6-1ubu1404-amd64.deb For me it worked. ...
Jordi's user avatar
  • 86
6 votes
Accepted

How to remove mail client from Elementary OS Loki 0.4

AppCenter is still in development so it can be buggy. In Terminal, use: sudo apt purge pantheon-mail
wolf's user avatar
  • 4,324
6 votes

how to install postman in elementary os using terminal

wget https://dl.pstmn.io/download/latest/linux64 -O postman.tar.gz sudo tar -xzf postman.tar.gz -C /opt rm postman.tar.gz sudo ln -s /opt/Postman/Postman /usr/bin/postman You can also get Postman to ...
ashraful emran's user avatar
5 votes

How can I install this widget on elementary?

It's a conky with Google Now theme. You want to install conky and conky-manager and then download the theme. Unpack the downloaded archive with theme into ~/.config (which is a hidden folder in ...
jena's user avatar
  • 693
5 votes

KeePass Installation

You can install it from terminal sudo apt install keepassx. I did it that way as I was unable to find it in App Center.
dilguis's user avatar
  • 73
5 votes

HPLIP Drive in elementary OS

I tried hard to install my HP Laserjet P1102w using HPLIP (3.17.11) but always had error on dependencies. I have running Elementary Os Loki on my laptop. This video was for great help, but not for ...
William's user avatar
  • 51
5 votes

elementary OS 5.0 and Hardware Sensors Indicator

Why doesn't it work? Elementary OS dropped support for GtkStatusIcon and Ayatana [source] (the two tray APIs most applications use). The reason is probably that they wanted to force developers to ...
m93a's user avatar
  • 332
4 votes

I've deleted a file I need in the /lib directory. I am struggling to recover that file

Run sudo apt-get install --reinstall libssl1.0.0 in the terminal to reinstall the libssl library on system I recommend before deleting a important file always rename it to YOURFILENAME.old or ...
Suici Doga's user avatar
  • 2,763
4 votes

Using Redshift on Elementary OS

You can install redshift from repository ufficial of Ubuntu/Elementary OS. Just run it in your terminal: $ sudo apt-get install redshift redshift-gtk $ sudo apt-get install libxcb1-dev libxcb-randr0-...
Blind's user avatar
  • 69
4 votes

How can I install gazette in elementary OS 0.4 Loki?

The PPA you are trying to install Gazette from has not been updated to include a build for Loki (Ubuntu Xenial). It appears that the Gazette project does not offer prebuilt binaries, so your only ...
Mike Wild's user avatar
  • 856
4 votes

Install Birdfont on elementary OS

It will be fixed in future versions, here is a workaround: cd /usr/lib/x86_64-linux-gnu sudo ln -s libxmlbird.so.1.3 libxmlbird.so.1.0
Johan Mattsson's user avatar
4 votes
Accepted

Forgot to check "install third party software" when installing Loki

Open a terminal and type: sudo apt-get install ubuntu-restricted-extras The next time I suggest you use a meaningful title for the problem :)
Gorgo's user avatar
  • 293
4 votes
Accepted

installing Docker community edition fails with missing docker-ce package

The instructions point to adding their repository: $ sudo add-apt-repository \ "deb [arch=amd64] https://download.docker.com/linux/ubuntu \ $(lsb_release -cs) \ stable" In elementary OS, ...
Vlad's user avatar
  • 2,205
3 votes

Cannot launch Viber on elementary OS freya

sudo apt-get install libqt5gui5 Run this in terminal and then reinstall viber.deb This resolves the issue.
gismowap's user avatar
3 votes
Accepted

How do I remove elementary OS and put Windows back on?

Try using OS Uninstaller if Windows is installed (dual boot).This will remove elementary OS from you hard drive.A tutorial can be found on the Ubuntu Wiki at https://help.ubuntu.com/community/OS-...
Suici Doga's user avatar
  • 2,763
3 votes

How do I fix this error when trying to install packages?

The script says "You might want to run 'apt-get -f install' to correct these". Have you tried running sudo apt-get -f install? It will attempt to correct broken dependencies. Afterwards, you would ...
wolf's user avatar
  • 4,324
3 votes

LibreOffice Won't Open when installed by Appcenter

I also had this problem installing LibreOffice from appcenter. Solved uninstalling it with appcenter and installing (also with appcenter) separatedly the Libreoffice applications (writer, spreadsheets....
Jorge R. Marín's user avatar
3 votes

Waiting for package manager lock what does that mean?

That's probably because some other program is using apt or you aren't running it with sudo. Just reboot and then do sudo apt install [program]
Maccer's user avatar
  • 1,984
3 votes
Accepted

i wish to use my Apeman A77 as Webcam, can't find drivers

There's no need for any drivers, just press the top button once it's connected to the PC, and it sets itself as PC camera, Linux automatically recognizes it as an UVC device (iCatchtek SPCA6350).
Fanfurlio's user avatar
  • 146
3 votes

Zoom (Meetings & chat)

ElementaryOs is based on Ubuntu, so always choose the Ubuntu method of installation. If you want to install with the terminal, see the comment from Paul. If you want a UI, and an easier interface, ...
Jeremy P's user avatar
3 votes

pycharm is not showing in app launcher and anywhere in elementary juno

There is a menu option in Pycharm to create a shortcut in the App Launcher. 1) Start PyCharm... sudo ./pycharm.sh ...like you mentioned above. 2) Once PyCharm is up and running, go to the Tools ...
Paul's user avatar
  • 832
3 votes
Accepted

Error installing nokogiri

Installing ruby2.4-dev did the work.
Hasan's user avatar
  • 1,187
3 votes
Accepted

(LoadError) No such file or directory - wpscan

Actually the things is nothing wrong here you can just run wpscan with wpscan. And don't forget to run inside the wpscan folder, unless you may get some other errors. Go ahead and try wpscan --url <...
Hasan's user avatar
  • 1,187
3 votes

Install Wine on elementary OS Juno

Must it necessarily be from the terminal? you can use appcenter and install from there wine. I would also recommend using playonlinux, so you can even manage the different versions of wine.
Javier A.'s user avatar
  • 367
2 votes

uninstall application

Unfortunately your question is not clear but I will answer it as per my understanding. I guess you are installing applications with apt-get install command. To fix the issue of "the package not fully ...
TusharG's user avatar
  • 246
2 votes
Accepted

Which Installler does elementary OS use?

elementary OS uses a forked version Ubiquity which changes branding to elementary OS instead of Ubuntu.The source code should be able on LaunchPad but I could not find it. You can see that elementary ...
Suici Doga's user avatar
  • 2,763

Only top scored, non community-wiki answers of a minimum length are eligible